<?php
if ( ! defined( 'WPINC' ) ) {
	wp_die();
}

/**
 * Class Iconic_WQT_Helpers
 */
class Iconic_WQT_Helpers {
	/**
	 * Include template.
	 *
	 * @param $path
	 */
	public static function include_template( $path, $args = array() ) {
		$args = apply_filters( 'iconic_wqt_template_args', $args, $path );
		$path = apply_filters( 'iconic_wqt_template_path', ICONIC_WQT_PATH . 'templates/' . $path . '.php', $path, $args );

		if ( ! empty( $args ) ) {
			extract( $args );
		}

		include( $path );
	}

	/**
	 * Get WooCommerce template HTML.
	 *
	 * @param string $path
	 *
	 * @return string
	 */
	public static function get_woocommerce_template_html( $path, $args = array() ) {
		ob_start();

		if ( $path === 'add-to-cart' ) {
			if ( ! empty( $args ) ) {
				extract( $args );
			}
			woocommerce_template_single_add_to_cart();
		} else {
			wc_get_template( $path, $args );
		}

		return ob_get_clean();
	}
}