<?php
if ( ! defined( 'WPINC' ) ) {
	wp_die();
}

/**
 * Class Iconic_WQT_Product
 */
class Iconic_WQT_Product {
	/**
	 * Get slides HTML.
	 *
	 * @param WC_Product $product
	 * @param string     $type
	 *
	 * @return string
	 */
	public static function get_slides_html( $product, $type = '' ) {
		$image_ids = self::get_image_ids( $product );

		if ( empty( $image_ids ) ) {
			ob_start();
			?>
			<div class="iconic-wqt-tray-slideshow__slide iconic-wqt-tray-slideshow__slide--<?php echo $type; ?>">
				<img src="<?php echo esc_url( wc_placeholder_img_src() ); ?>" alt="<?php echo esc_html__( 'Awaiting product image', 'woocommerce' ); ?>" class="wp-post-image" />
			</div>
			<?php
			return ob_get_clean();
		}

		$html       = '';
		$image_size = sprintf( 'shop_%s', $type );

		foreach ( $image_ids as $image_id ) {
			ob_start();
			?>
			<div class="iconic-wqt-tray-slideshow__slide iconic-wqt-tray-slideshow__slide--<?php echo $type; ?>">
				<?php if ( $image_id ) {
					echo wp_get_attachment_image( $image_id, $image_size );
				} ?>
			</div>
			<?php
			$html .= ob_get_clean();
		}

		return $html;
	}

	/**
	 * Get product images.
	 *
	 * @param WC_Product $product
	 *
	 * @return array
	 */
	public static function get_image_ids( $product ) {
		$image_ids = array();

		if ( has_post_thumbnail( $product->get_id() ) ) {
			$image_ids[] = (int) get_post_thumbnail_id( $product->get_id() );
		}

		$image_ids = array_merge( $image_ids, $product->get_gallery_image_ids() );

		return apply_filters( 'iconic_wqt_image_ids', $image_ids, $product );
	}
}
